
def send_message_to_queue(queue_name, message):
    import pika
    
    # Create a connection to the RabbitMQ server
    connection = pika.BlockingConnection(pika.ConnectionParameters('localhost'))
    channel = connection.channel()
    
    # Declare a queue if it does not exist
    channel.queue_declare(queue=queue_name)
    
    # Send a message to the queue
    channel.basic_publish(exchange='', routing_key=queue_name, body=message)
    
    # Close the connection
    connection.close()



